Package ru.bitel.bgbilling.modules.phone.server.bean

# Class SessionDetail<K>

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.SessionDetail<K>

All Implemented Interfaces:
  `java.lang.Iterable<K>`

    public class SessionDetail<K>
    extends java.lang.Object
    implements java.lang.Iterable<K>

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.List<K>` | `list` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SessionDetail()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getId()` |
  `java.util.List<K>` | `getList()` |
  `bitel.billing.server.util.Iter.BeanNodeList` | `getSize()` |
  `java.lang.String` | `getTitle()` |
  `java.math.BigDecimal` | `getTotalCost()` |
  `java.lang.String` | `getTotalCostFormat()` |
  `int` | `getTotalNumber()` |
  `int` | `getTotalTime()` |
  `java.lang.String` | `getTotalTimeFormat()` |
  `java.lang.String` | `getTotalTimeFormatSeconds()` |
  `java.lang.String` | `getTotalTimeMinute()` |
  `int` | `getTotalTimeRound()` |
  `java.lang.String` | `getTotalTimeRoundFormat()` |
  `java.lang.String` | `getTotalTimeRoundFormatSeconds()` |
  `java.lang.String` | `getTotalTimeRoundMinute()` |
  `java.util.Iterator<K>` | `iterator()` |
  `void` | `setId​(int id)` |
  `void` | `setList​(java.util.List<K> list)` |
  `void` | `setSize​(bitel.billing.server.util.Iter.BeanNodeList size)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setTotalCost​(java.math.BigDecimal totalCost)` |
  `void` | `setTotalNumber​(int totalNumber)` |
  `void` | `setTotalTime​(int totalTime)` |
  `void` | `setTotalTimeRound​(int totalTimeRound)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### list

    protected java.util.List<K> list

- ## Constructor Details

  - ### SessionDetail

    public SessionDetail()

- ## Method Details

  - ### getList

    public final java.util.List<K> getList()

  - ### setList

    public final void setList​(java.util.List<K> list)

  - ### getSize

    public final bitel.billing.server.util.Iter.BeanNodeList getSize()

  - ### setSize

    public final void setSize​(bitel.billing.server.util.Iter.BeanNodeList size)

  - ### iterator

    public java.util.Iterator<K> iterator()
    Specified by:
      `iterator` in interface `java.lang.Iterable<K>`

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getTotalCost

    public java.math.BigDecimal getTotalCost()

  - ### getTotalCostFormat

    public java.lang.String getTotalCostFormat()

  - ### setTotalCost

    public void setTotalCost​(java.math.BigDecimal totalCost)

  - ### getTotalNumber

    public int getTotalNumber()

  - ### setTotalNumber

    public void setTotalNumber​(int totalNumber)

  - ### getTotalTime

    public int getTotalTime()

  - ### getTotalTimeFormat

    public java.lang.String getTotalTimeFormat()

  - ### setTotalTime

    public void setTotalTime​(int totalTime)

  - ### getTotalTimeRound

    public int getTotalTimeRound()

  - ### getTotalTimeRoundFormat

    public java.lang.String getTotalTimeRoundFormat()

  - ### getTotalTimeRoundFormatSeconds

    public java.lang.String getTotalTimeRoundFormatSeconds()

  - ### getTotalTimeFormatSeconds

    public java.lang.String getTotalTimeFormatSeconds()

  - ### getTotalTimeRoundMinute

    public java.lang.String getTotalTimeRoundMinute()

  - ### getTotalTimeMinute

    public java.lang.String getTotalTimeMinute()

  - ### setTotalTimeRound

    public void setTotalTimeRound​(int totalTimeRound)